Difficulty with upgrade & jailbreak

Discussion in 'iPad Hacking' started by BMac91, Mar 12, 2011.

  1. BMac91

    BMac91 iPF Noob

    Joined:
    Mar 12, 2011
    Messages:
    5
    Thanks Received:
    0
    Trophy Points:
    0
    Ratings:
    +0 / 0
    I have been jailbroken on 3.2.1 since I guess August of 2010, and decided it is finally time for me to update. I can't go any longer without multitasking on the iPad too. I downloaded the 4.2.1 update and then backed up my iPad, downloaded green poison, and when I went to try to update it keeps giving me an error. At first I got a 3004 error. Then I swapped from my Powermac G5 to my iMac, and both have the newest iTunes (tried before with 10.1 and then updated). Now it is saying something about not being eligible to update or restore.?
    Any suggestions?
     
  2. Demandarin

    Demandarin iPad Addict

    Joined:
    Jul 26, 2010
    Messages:
    1,251
    Thanks Received:
    22
    Trophy Points:
    0
    Location:
    Va
    Ratings:
    +22 / 0
    Hmmm...u might have to go into settings of iTunes and authorize that computer. Everytime u use a new computer to update/restore ur iPad, u have to authorize that computer to do so. I guess it's a security issue in ur best interest. But yeah, check the settings on top bar in iTunes. Hopefully that'll do the trick.
     
  3. BMac91

    BMac91 iPF Noob

    Joined:
    Mar 12, 2011
    Messages:
    5
    Thanks Received:
    0
    Trophy Points:
    0
    Ratings:
    +0 / 0
    I made sure both computers were authorized, and tried again and it gave me the same error. Everything is up to date, and both are authorized. I have never had this problem before, I just updated my wifes iPhone 4 not too long ago, so its not like I have ports blocking the apple server or anything. Would it just NOT let me install the update? I have even tried discounting both from the internet and trying again, to see if maybe apple was blocking it from updating and gave me the same error again. I hate to try 4.3 and then it work, because then I am stuck at 4.3 until an untethered jailbreak for it comes out (Might be tomorrow who knows at this point) .
    What do you guys think I should do??
     
  4. f4780y

    f4780y Super Moderator Staff Member

    Joined:
    Sep 11, 2010
    Messages:
    7,106
    Thanks Received:
    636
    Trophy Points:
    113
    Location:
    Troon, Scotland
    Ratings:
    +636 / 0
    Because 4.3 is now out officially, apple will no longer sign 4.2.1, so unless you saved your shsh blobs for 4.2.1, your only option is a 4.3 upgrade. Sorry.
    Thats why it is SO important to save your blobs with tinyumbrella or Cydia. That way you always have the choice of what firmware to use...

    If you do have them saved, then use tinyumbrella to serve them up to iTunes and you will be able to upgrade OK.
     
  5. BMac91

    BMac91 iPF Noob

    Joined:
    Mar 12, 2011
    Messages:
    5
    Thanks Received:
    0
    Trophy Points:
    0
    Ratings:
    +0 / 0
    I thought that when you clicked "Let Cydia make your life easierr" or something that it saved your blobs then? I assumed that's what it did...
    So best option is to update to 4.3 and jailbreak later?
     
  6. f4780y

    f4780y Super Moderator Staff Member

    Joined:
    Sep 11, 2010
    Messages:
    7,106
    Thanks Received:
    636
    Trophy Points:
    113
    Location:
    Troon, Scotland
    Ratings:
    +636 / 0
    Yes, that's right, so as I said

    "If you do have them saved, then use tinyumbrella to serve them up to iTunes and you will be able to upgrade OK."

    Download tinyumbrella now, launch the server, and you should be good to go...
     
  7. BMac91

    BMac91 iPF Noob

    Joined:
    Mar 12, 2011
    Messages:
    5
    Thanks Received:
    0
    Trophy Points:
    0
    Ratings:
    +0 / 0
    Alright, tried TinyUmbrella and seemed like it was working, but now regardless of what computer I use, I am getting a 1604 error now. Tried restarting everything multiple times and still keep getting same error. Any ideas on this one? And thanks for your help so far.
     
  8. f4780y

    f4780y Super Moderator Staff Member

    Joined:
    Sep 11, 2010
    Messages:
    7,106
    Thanks Received:
    636
    Trophy Points:
    113
    Location:
    Troon, Scotland
    Ratings:
    +636 / 0
    Are you restoring using DFU mode? Always use DFU mode if you are downgrading...
     
  9. BMac91

    BMac91 iPF Noob

    Joined:
    Mar 12, 2011
    Messages:
    5
    Thanks Received:
    0
    Trophy Points:
    0
    Ratings:
    +0 / 0
    But I would be upgrading? Is it not the same procedure? Update through iTunes, but using "Option Click" an selecting your own firmware and thats that? Oh BTW it is stuck in restore mode now. Think I might just upgrade to 4.3 and just wait on a jailbreak.
     
  10. Demandarin

    Demandarin iPad Addict

    Joined:
    Jul 26, 2010
    Messages:
    1,251
    Thanks Received:
    22
    Trophy Points:
    0
    Location:
    Va
    Ratings:
    +22 / 0
    U won't be waiting long, check out my new thread with details!
     
  11. f4780y

    f4780y Super Moderator Staff Member

    Joined:
    Sep 11, 2010
    Messages:
    7,106
    Thanks Received:
    636
    Trophy Points:
    113
    Location:
    Troon, Scotland
    Ratings:
    +636 / 0
    Sorry, i see you are upgrading. But it does not matter - use dfu mode if you get itunes error when updating or restoring. DFU is most likely to succeed.
     

Share This Page

Search tags for this page

difficulty jailbreaking apple2

,
ipad3 won't turn on after jailbrake upgrade
,
my ipad is giving me error 3004